Gnome2::HRef(3)

NAME
Gnome2::HRef - wrapper for GnomeHRef

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Button
                                +----Gnome2::HRef

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Activatable

METHODS

  widget = Gnome2::HRef->new ($url, $text)

•   $url (string)

•   $text (string)

  string = $href->get_label

  $href->set_label ($label)

•   $label (string)

  string = $href->get_text

  $href->set_text ($text)

•   $text (string)

  string = $href->get_url

  $href->set_url ($url)

•   $url (string)

PROPERTIES

'text' (string : default "End World Hunger" : readable / writable)
    The text on the button

'url' (string : default "http://www.wfp.org" : readable / writable)
    The URL that GnomeHRef activates

STYLE PROPERTIES

'link-color' (Gtk2::Gdk::Color : default undef : readable)
    Color used to draw the link

SEE ALSO
Gnome2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Bin, Gtk2::Button

COPYRIGHT
Copyright (C) 2003-2004 by the gtk2-perl team.

This software is licensed under the LGPL. See Gnome2 for a full notice.